Page MenuHomePhabricator

Technical Debt: Eliminate all state from Cite.references object
Closed, ResolvedPublic

Description

Since refs are now generated in a single pass over the final DOM, there is no reason to maintain state in the globally-shared Cite objects. It should be possible to pass state as a param to the associated functions which will basically make the reset functions no-ops.

This would have prevented the id reuse issues reported in T63165 and T93715.

Event Timeline

ssastry created this task.Mar 25 2015, 11:31 PM
ssastry raised the priority of this task from to Medium.
ssastry updated the task description. (Show Details)
ssastry added a project: Parsoid.
ssastry added a subscriber: ssastry.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2015, 11:31 PM
ssastry assigned this task to marcoil.Mar 27 2015, 12:00 AM
ssastry set Security to None.

Change 200881 had a related patch set uploaded (by Marcoil):
T93973: Remove state from Cite extension

https://gerrit.wikimedia.org/r/200881

Change 200881 merged by jenkins-bot:
T93973: Remove state from Cite extension

https://gerrit.wikimedia.org/r/200881

ssastry closed this task as Resolved.Apr 11 2015, 9:45 PM
ssastry removed a project: Patch-For-Review.